# login environment variable settings for Oracle

################## BEGIN of user editable section ##################
# Change these settings according to your installation. Of course  #
# you can change the rest below, but if you have little Oracle     #
# experience we suggest you leave the default values in place.     #
# An exception is if the documentation for your particular Oracle  #
# product explicitly suggests other values.                        #
setenv ORACLE_BASE /opt/oracle
setenv ORACLE_SID mydb
################### END of user editable section ###################


setenv ORACLE_HOME ${ORACLE_BASE}/product/9ir2
setenv TNS_ADMIN ${ORACLE_HOME}/network/admin

setenv ORA_NLS33 ${ORACLE_HOME}/ocommon/nls/admin/data
setenv PATH ${PATH}:${ORACLE_HOME}/bin
setenv CLASSPATH ${ORACLE_HOME}/JRE:${ORACLE_HOME}/jlib:${ORACLE_HOME}/rdbms/jlib:${ORACLE_HOME}/network/jlib
if ( ${?LD_LIBRARY_PATH} ) then
    setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${ORACLE_HOME}/lib
else
    setenv LD_LIBRARY_PATH ${ORACLE_HOME}/lib
endif

# setenv ORACLE_TERM xterm
# setenv NLS_LANG AMERICAN_AMERICA.UTF8


# DISABLED - see /etc/profile.d/oracle.sh for Bourne shell. Since 
# /etc/sysconfig/oracle is Bourne shell syntax the c-shell equivalent
# would force us to do some real scripting below... if you find the time
# and do it, tell oracle@suse.com and we'll include it...

if ( `id -un` == "oracle" ) then
  # Set ulimits:
  #
  # We suppress any warning messages, so if the hard limits have not been
  # increased by root and the commands don't work we keep silent... 
  # This is because the only one who needs it is the shell that starts
  # the DB server processes, and the number of warning messages created 
  # here is potentially way too much and confusing

  # core dump file size
#  limit coredumpsize 4194303

  # max number of processes for user
#  limit maxproc 16384

  # max number of open files for user
#  limit openfiles 65536
endif

